org.springframework.data.repository.query.parser

## Class PartTree.OrPart

- java.lang.Object
- - org.springframework.data.repository.query.parser.PartTree.OrPart

All Implemented Interfaces:
  Iterable<Part>, Supplier<Stream<Part>>, Streamable<Part>

Enclosing class:
  PartTree

    public static class PartTree.OrPart
    extends Object
    implements Streamable<Part>

A part of the parsed source that results from splitting up the resource around Or keywords. Consists of `Part`s that have to be concatenated by And.

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<Part>` `iterator()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.util.Streamable

`and, and, and, and, empty, filter, flatMap, get, isEmpty, map, of, of, of, stream, toList, toSet, toStreamable, toStreamable`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### iterator

    public Iterator<Part> iterator()

Specified by:
  `iterator` in interface `Iterable<Part>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`